import { BossID, EntityType } from "isaac-typescript-definitions";
declare const STORY_BOSS_IDS: readonly [BossID.MOM, BossID.MOMS_HEART, BossID.SATAN, BossID.IT_LIVES, BossID.ISAAC, BossID.BLUE_BABY, BossID.LAMB, BossID.MEGA_SATAN, BossID.ULTRA_GREED, BossID.HUSH, BossID.DELIRIUM, BossID.ULTRA_GREEDIER, BossID.MOTHER, BossID.MAUSOLEUM_MOM, BossID.MAUSOLEUM_MOMS_HEART, BossID.DOGMA, BossID.BEAST];
export type StoryBossID = (typeof STORY_BOSS_IDS)[number];
/**
 * Helper function to determine if the specified entity type is an end-game story boss, like Isaac,
 * Blue Baby, Mega Satan, The Beast, and so on. This is useful because certain effects should only
 * apply to non-story bosses, like Vanishing Twin.
 */
export declare function isStoryBoss(entityType: EntityType): boolean;
/**
 * Helper function to determine if the specified boss ID is an end-game story boss, like Isaac, Blue
 * Baby, Mega Satan, The Beast, and so on. This is useful because certain effects should only apply
 * to non-story bosses, like Vanishing Twin.
 */
export declare function isStoryBossID(bossID: BossID): boolean;
export {};
//# sourceMappingURL=storyBosses.d.ts.map